=== modified file 'www/apps/browser/__init__.py'
--- www/apps/browser/__init__.py	2008-06-16 07:38:03 +0000
+++ www/apps/browser/__init__.py	2008-06-16 08:28:58 +0000
@@ -144,7 +144,7 @@
         class="disabled">Run</a> :
     <a id="act_download" class="choice">Download</a> :
     <a title="Refresh the current page" onclick="refresh()"
-        class="choice">Refresh</a> :
+        class="choice">Refresh</a><span id="moreactions_area"> :
     <select id="moreactions" onchange="handle_moreactions()"
         onblur="handle_moreactions()">
       <option class="moreactions" value="top"
@@ -200,7 +200,7 @@
       <option id="act_svncheckout" class="disabled" disabled="disabled"
         title="Re-check out your default directories"
         value="svncheckout">Re-Checkout</option>
-    </select>
+    </select></span>
 """)
 
 def present_actions2(req, isdir):

=== modified file 'www/media/browser/browser.js'
--- www/media/browser/browser.js	2008-06-16 07:14:51 +0000
+++ www/media/browser/browser.js	2008-06-16 08:28:58 +0000
@@ -658,7 +658,7 @@
 
     /* Paste, new file, new directory, upload */
     /* Disable if the current file is not a directory */
-    if (!current_file.is_dir)
+    if (!current_file.isdir)
     {
         var paste = document.getElementById("act_paste");
         var newfile = document.getElementById("act_newfile");
@@ -701,6 +701,17 @@
         svncheckout.setAttribute("disabled", "disabled");
     }
 
+    /* There is currently nothing on the More Actions menu of use
+     * when the current file is not a directory. Hence, just remove
+     * it entirely.
+     * (This makes some of the above decisions somewhat redundant).
+     */
+    if (!(current_file.isdir))
+    {
+        var moreactions = document.getElementById("moreactions_area");
+        moreactions.setAttribute("style", "display: none;");
+    }
+
     return;
 }
 

=== modified file 'www/media/browser/editor.css'
--- www/media/browser/editor.css	2008-04-28 08:00:14 +0000
+++ www/media/browser/editor.css	2008-06-16 08:28:58 +0000
@@ -6,17 +6,6 @@
  * License version 2 or later.
  */
 
-#editorhead {
-    /* Same colour scheme as browser.css:topbar */
-    background-color: #aaf;
-    padding: 0;
-    height: 2em;
-}
-
-#editorhead p {
-    margin: 0 0.5em;
-}
-
 /* The EditArea iframe
  * Have it fill its entire containing box
  */
@@ -24,7 +13,7 @@
     position: absolute;
     left: 0;
     right: 0;
-    top: 2em;       /* == #editorhead.height */
+    top: 0;
     bottom: 0;
     /* Override EditArea's specified width and height */
     width: 100% ! important;

=== modified file 'www/media/browser/editor.js'
--- www/media/browser/editor.js	2008-02-28 06:49:03 +0000
+++ www/media/browser/editor.js	2008-06-16 08:28:58 +0000
@@ -20,10 +20,7 @@
  */
 function present_editorhead(elem, path, handler_type)
 {
-    var div = document.createElement("div");
-    /* Insert as the head element */
-    elem.insertBefore(div, elem.firstChild)
-    div.setAttribute("id", "editorhead");
+    var div = document.getElementById("actions2");
 
     /* Set up minimal interface */
     var p = dom_make_text_elem("p", "Path: ");

